Debian Bug report logs - #458417
Support for GNU/kFreeBSD

version graph

Package: xymon; Maintainer for xymon is Christoph Berg <myon@debian.org>; Source for xymon is src:xymon.

Reported by: Axel Beckert <abe@debian.org>

Date: Mon, 31 Dec 2007 04:48:01 UTC

Severity: wishlist

Tags: upstream

Fixed in version xymon/4.3.0~beta2.dfsg-6

Done: Christoph Berg <myon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#458417; Package hobbit. Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
New Bug report received and forwarded. Copy sent to Christoph Berg <myon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hobbit: FTBFS on kfreebsd-i386
Date: Mon, 31 Dec 2007 05:43:55 +0100
Package: hobbit
Version: 4.2.0.dfsg-8
Severity: grave
Justification: renders package unusable

FTBFS:
[...]
Checking for RRDtool ...
make[1]: Entering directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
Makefile.test-rrd:1: Makefile.GNU/kFreeBSD: No such file or directory
make[1]: *** No rule to make target `Makefile.GNU/kFreeBSD'.  Stop.
make[1]: Leaving directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
make[1]: Entering directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
Makefile.test-rrd:1: Makefile.GNU/kFreeBSD: No such file or directory
make[1]: *** No rule to make target `Makefile.GNU/kFreeBSD'.  Stop.
make[1]: Leaving directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
Not RRDtool 1.0.x, checking for 1.2.x
make[1]: Entering directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
Makefile.test-rrd:1: Makefile.GNU/kFreeBSD: No such file or directory
make[1]: *** No rule to make target `Makefile.GNU/kFreeBSD'.  Stop.
make[1]: Leaving directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
make[1]: Entering directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
Makefile.test-rrd:1: Makefile.GNU/kFreeBSD: No such file or directory
make[1]: *** No rule to make target `Makefile.GNU/kFreeBSD'.  Stop.
make[1]: Leaving directory `/home/abe/rebuild/hobbit-4.2.0.dfsg/build'
ERROR: RRDtool include files found in /usr/include, but compile fails.
dh_testdir
# Add here commands to compile the package.
PKGBUILD=1 /usr/bin/make
make[1]: Entering directory `/home/abe/rebuild/hobbit-4.2.0.dfsg'
make[1]: *** No targets specified and no makefile found.  Stop.
make[1]: Leaving directory `/home/abe/rebuild/hobbit-4.2.0.dfsg'
make: *** [build-stamp] Error 2
debuild: fatal error at line 1237:
debian/rules build failed

-- System Information:
Debian Release: lenny/sid
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 6.3-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash




Severity set to `important' from `grave' Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Mon, 31 Dec 2007 10:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#458417; Package hobbit. Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to Christoph Berg <myon@debian.org>. Full text and rfc822 format available.

Message #12 received at 458417@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 458417@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Preliminary Fix
Date: Sun, 13 Jan 2008 13:36:38 +0100
tag 458417 + patch
thanks

It will compile if you issue the following two commands inside the
package's tree:

mkdir build/Makefile.GNU/
cp -p build/Makefile.Linux build/Makefile.GNU/kFreeBSD

JFTR: To make it also work as expected on kFreeBSD there may be some
more work needed. This only fixes the FTBFS on kfreebsd-i386 and
kfreebsd-amd64.

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Tags added: patch Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 12:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Berg <myon@debian.org>:
Bug#458417; Package hobbit. Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to Christoph Berg <myon@debian.org>. Full text and rfc822 format available.

Message #19 received at 458417@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 458417@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Porting not as easy as expected...
Date: Fri, 25 Jan 2008 23:17:41 +0100
tag 458417 -patch
tag 458417 +upstream
retitle 458417 Support for GNU/kFreeBSD
severity 458417 wishlist
thanks

Had a deeper look into the hobbit code.

All usage of the output of uname -o (or any equivalent system call)
should be modified like this: s(/)(_)g to keep the thing sane. This
does not only affect shell scripts but also C code.

Even if you get the client working by mainly adding a bunch of
directories and symbolic links, the server won't accept messages from
such patched clients and just drop them:

2008-01-25 22:41:09 No client backend for OS 'gnu/kfreebsd' sent by [...]

Fixing this in a clean way would result in a patch which better should
be done or at least incorporated by upstream, so I downgrade this bug
to wishlist, tag it upstream instead of patch and write to upstream
about the issue.

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Tags removed: patch Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 22:21:03 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 22:21:04 GMT) Full text and rfc822 format available.

Changed Bug title to `Support for GNU/kFreeBSD' from `hobbit: FTBFS on kfreebsd-i386'. Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 22:21:04 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `important' Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 22:21:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `hobbit' to `xymon'. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Tue, 28 Apr 2009 10:21:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Axel Beckert <abe@debian.org>' from 'Axel Beckert <abe@deuxchevaux.org>' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 17 Feb 2010 19:15:08 GMT) Full text and rfc822 format available.

Reply sent to Christoph Berg <myon@debian.org>:
You have taken responsibility. (Thu, 08 Apr 2010 23:06:07 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Thu, 08 Apr 2010 23:06:07 GMT) Full text and rfc822 format available.

Message #36 received at 458417-close@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 458417-close@bugs.debian.org
Subject: Bug#458417: fixed in xymon 4.3.0~beta2.dfsg-6
Date: Thu, 08 Apr 2010 23:04:39 +0000
Source: xymon
Source-Version: 4.3.0~beta2.dfsg-6

We believe that the bug you reported is fixed in the latest version of
xymon, which is due to be installed in the Debian FTP archive:

hobbit-client_4.3.0~beta2.dfsg-6_all.deb
  to main/x/xymon/hobbit-client_4.3.0~beta2.dfsg-6_all.deb
hobbit_4.3.0~beta2.dfsg-6_all.deb
  to main/x/xymon/hobbit_4.3.0~beta2.dfsg-6_all.deb
xymon-client_4.3.0~beta2.dfsg-6_i386.deb
  to main/x/xymon/xymon-client_4.3.0~beta2.dfsg-6_i386.deb
xymon_4.3.0~beta2.dfsg-6.diff.gz
  to main/x/xymon/xymon_4.3.0~beta2.dfsg-6.diff.gz
xymon_4.3.0~beta2.dfsg-6.dsc
  to main/x/xymon/xymon_4.3.0~beta2.dfsg-6.dsc
xymon_4.3.0~beta2.dfsg-6_i386.deb
  to main/x/xymon/xymon_4.3.0~beta2.dfsg-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Berg <myon@debian.org> (supplier of updated xymon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 09 Apr 2010 00:17:03 +0200
Source: xymon
Binary: xymon xymon-client hobbit hobbit-client
Architecture: source i386 all
Version: 4.3.0~beta2.dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Christoph Berg <myon@debian.org>
Changed-By: Christoph Berg <myon@debian.org>
Description: 
 hobbit     - dummy package for transitioning from Hobbit to Xymon
 hobbit-client - dummy package for transitioning from Hobbit to Xymon
 xymon      - monitoring system for systems, networks and applications
 xymon-client - client for the Xymon network monitor
Closes: 458417
Changes: 
 xymon (4.3.0~beta2.dfsg-6) unstable; urgency=low
 .
   * Support GNU/kFreeBSD by adding a Makefile and a config snippet that
     pretends we are running on Linux. (Closes: #458417)
   * Tweak hobbitclient-linux.sh to report 'df' data without /proc/filesystems
     mounted.
Checksums-Sha1: 
 969c4fb8a0e8b517925232d69bf13ea524836d4a 1306 xymon_4.3.0~beta2.dfsg-6.dsc
 31f41cb62582becace7714c0e1a4491fe3c527c4 35612 xymon_4.3.0~beta2.dfsg-6.diff.gz
 cfc1fff9789bda7246d5cade9ed1034ea714bceb 3734260 xymon_4.3.0~beta2.dfsg-6_i386.deb
 fdd9f1e53efc8661fad57036e9312490d9cd5f8c 376404 xymon-client_4.3.0~beta2.dfsg-6_i386.deb
 ebcf578b5bfac4d0d04ecf99daa3f9436d2d029b 42626 hobbit_4.3.0~beta2.dfsg-6_all.deb
 bee2320e2ced291a114bb5eec8634eb278d891a6 42650 hobbit-client_4.3.0~beta2.dfsg-6_all.deb
Checksums-Sha256: 
 eab956f5dbdab7ed4fba60a2aa642afaa71566a2a0695578dc969ef4f57a7c08 1306 xymon_4.3.0~beta2.dfsg-6.dsc
 89a55b2534350e6ca73470f5aed776fc5801685223e75a158c5751ff2bc2cc67 35612 xymon_4.3.0~beta2.dfsg-6.diff.gz
 0c88f8c1c04ac918f2845dd4c3ed1067c8230a630b377a4ef32b7494329a35d9 3734260 xymon_4.3.0~beta2.dfsg-6_i386.deb
 5b7a44c30fff57bb08b125cde0160ec8a2ddd8c0617e9294e03518306c39d82c 376404 xymon-client_4.3.0~beta2.dfsg-6_i386.deb
 c1441e686681b6471dd9048f7d9e4fa819b8da14c5bdc6f13958c7c334ae3473 42626 hobbit_4.3.0~beta2.dfsg-6_all.deb
 3c37057b62c8870372b4c09a97378abb6b71ee818572c55dd0ece335dc377a0a 42650 hobbit-client_4.3.0~beta2.dfsg-6_all.deb
Files: 
 8a0036b3d89c08f928d5b29ea83e666a 1306 net extra xymon_4.3.0~beta2.dfsg-6.dsc
 9ac0b155865c5f52e997d69fc533d445 35612 net extra xymon_4.3.0~beta2.dfsg-6.diff.gz
 691210a485ec36594a82fa0fa2b1dae3 3734260 net extra xymon_4.3.0~beta2.dfsg-6_i386.deb
 fc947ebe99d4c7b41e859f4ba97c89c1 376404 net extra xymon-client_4.3.0~beta2.dfsg-6_i386.deb
 97e7895ad8976be990a21c7090961a41 42626 net extra hobbit_4.3.0~beta2.dfsg-6_all.deb
 f1248b8c1bf262c111aa00a089a2b840 42650 net extra hobbit-client_4.3.0~beta2.dfsg-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAku+V3oACgkQxa93SlhRC1rHywCdEeTVmgVqefzr3u2CD4by2HPz
xUgAn1SG/jlDqSbmNb1KCtXiMLSeC02b
=sdzU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 May 2010 07:30:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:01:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.